> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get KYC Status



## OpenAPI

````yaml GET /smart-accounts/{smart_account_address}/kyc/{kyc_id}
openapi: 3.1.0
info:
  title: Grid API
  description: Grid API Documentation
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz/api/v0/grid
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: smart-accounts
    description: Smart Accounts
paths:
  /smart-accounts/{smart_account_address}/kyc/{kyc_id}:
    get:
      tags:
        - Smart Accounts
      operationId: handler
      parameters:
        - name: smart_account_address
          in: path
          description: The address of the smart account to get KYC status for
          required: true
          schema:
            type: string
        - name: kyc_id
          in: path
          description: The KYC ID to get status for
          required: true
          schema:
            type: string
        - name: X-Grid-Environment
          in: header
          description: The environment you’re using. Can be `sandbox` or `production`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved KYC status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetKycStatusResponsePayload'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '404':
          description: User not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
      security:
        - bearerAuth: []
components:
  schemas:
    GetKycStatusResponsePayload:
      type: object
      required:
        - id
        - customer_type
        - status
        - tos_status
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
        customer_type:
          $ref: '#/components/schemas/CustomerType'
        id:
          type: string
        kyc_continuation_link:
          type:
            - string
            - 'null'
        rejection_reasons:
          type: array
          items:
            $ref: '#/components/schemas/RejectionReason'
        requirements_due:
          type: array
          items:
            type: string
        status:
          $ref: '#/components/schemas/KycStatus'
        tos_status:
          $ref: '#/components/schemas/TosStatus'
        updated_at:
          type: string
    GridError:
      type: object
      required:
        - message
        - details
        - timestamp
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/Detail'
        message:
          type: string
        timestamp:
          type: string
    CustomerType:
      type: string
      enum:
        - individual
        - business
    RejectionReason:
      type: object
      required:
        - developer_reason
        - reason
        - created_at
      properties:
        created_at:
          type: string
        developer_reason:
          type: string
        reason:
          type: string
    KycStatus:
      type: string
      enum:
        - not_started
        - under_review
        - incomplete
        - approved
        - rejected
    TosStatus:
      type: string
      enum:
        - pending
        - approved
    Detail:
      type: object
      required:
        - field
        - code
        - message
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for authentication

````